Bug 6034 - ошибка при использовании опции -I; не очищается директория tmp
: ошибка при использовании опции -I; не очищается директория tmp
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/clamav-milter)
: 2.4
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-04 18:12 by
Modified: 2006-12-15 11:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-04 18:12:27
1. В clamav-milter-0.81-alt1.M24.1 при использовании опции -I в
/etc/sysconfig/clamav-milter при запуске выдается ошибка:
Starting clamav-milter service: /usr/sbin/clamav-milter: invalid option -- I
Одно из решений - использовать клон этой опции "--external" - тогда все
нормально.

2. При старте связки clamd+milter в /tmp создается временная директоря для
обработки завирусованых сообщений типа:
drwx------   2 mail mail 4096 Feb  4 17:03 clamav-204e357756f1d6c4/
После останова сервисов директория не удаляется (сколько рестартов - столько
директорий).
Есть конечно stmpclean, но неправильно это...
PS: я так понимаю режим stream в clamav убран как принцип?
------- Comment #1 From 2006-11-21 18:46:27 -------
Прошу Сергея Афонина прокомментировать. Я не использую sendmail и,
соответственно,  не компетентен в деталях работы этой части clamav.
------- Comment #2 From 2006-11-21 23:57:11 -------
Что касается 2, Кажется, у меня дежавю. :-)
https://bugzilla.altlinux.org/show_bug.cgi?id=6093

Что касается 1, я как-то сразу в конфиге писал --external всё время, так что и 
не знаю, как в текущей версии.

А вообще, есть вероятность, что я вскоре перестану использовать clamav-milter 
в пользу mailfromd. Он, с недавних пор, обучен напрямую с clamd работать.

------- Comment #3 From 2006-11-22 10:19:36 -------
(In reply to comment #2)
> Что касается 2, Кажется, у меня дежавю. :-)
> https://bugzilla.altlinux.org/show_bug.cgi?id=6093

да, чесно говоря у меня тоже... дубликация получается.

> Что касается 1, я как-то сразу в конфиге писал --external всё время, так что и 
> не знаю, как в текущей версии.

я чесно говоря тоже испольую --external.... с того момента как баг был открыт :)

> А вообще, есть вероятность, что я вскоре перестану использовать clamav-milter 
> в пользу mailfromd. Он, с недавних пор, обучен напрямую с clamd работать.
> 

Судя по тому что mailfromd относительно новый проект и в ALTLinux используется
недавно (в ALC3.0 его еще нет), хотелось бы продолжить поддержку clamav-milter
для ALM2.4 до выпуска очередного ALM (хотябы по security-annonces).

PS: также хотелось бы чтобы вы поделились опытом миграции с clamav-milter на
mailfromd хотя-бы в двух словах на faq.altlinux.ru.

------- Comment #4 From 2006-11-22 18:02:26 -------
(In reply to comment #3)
> PS: также хотелось бы чтобы вы поделились опытом миграции с clamav-milter на
> mailfromd хотя-бы в двух словах на faq.altlinux.ru.
Напоминаю -- Q+A на faq@.  А вообще думаю, что wiki удобнее по крайней мере по
части самообслуживаемости (создать/поправить/откомментировать).
------- Comment #5 From 2006-11-22 19:13:35 -------
0.86.6, вроде как, не секюрити апдейт, потому особо не тороплюсь.

Что касается опыта миграции, это ещё в процессе. 
function `sa' checks the message for spam via SpamAssasin spamd
и
function `clamav' checks the message for viruses via ClamAV daemon
появились недавно, я их проверить не успел: до версии 3.0 я mailfromd 
рассматривал только как альтернативу verify_sender. Но, пока и на мой
взгляд, не хватает ещё возможности формировать уведомление о перехваченном 
вирусе. Но как только, так сразу. А wiki мне тоже больше нравится.
------- Comment #6 From 2006-12-11 20:58:53 -------
вышел mailfrom 3.1, вроде всё есть, на первый взгляд. Начал рисовать конфиг 
потихоньку.
------- Comment #7 From 2006-12-14 10:26:01 -------
mailutils-1.0-alt4 (работу функции semdmail поправили, надо для функции 
send_mail в mailfromd)
mailfromd-3.1.1-alt1
залиты в incoming и, даже, пересобрались.

В общем, там пояснять особо и нечего, по mailfromd.rc всё видно. Единственный 
момент - у меня оно всё ещё на экспериментальном сервере пока.
------- Comment #8 From 2006-12-14 16:30:07 -------
(In reply to comment #2)
> А вообще, есть вероятность, что я вскоре перестану использовать clamav-milter 
> в пользу mailfromd. Он, с недавних пор, обучен напрямую с clamd работать.

Тогда у меня возникает вопрос, что делать с пакетом clamav-milter. Это
специфический пакет для пользователей sendmail. Я его ни реально тестировать, ни
исправлять баги (за исключением приложения чужих готовых патчей) не имею
возможности.

Деактивируем его сборку в пользу mailfromd?
------- Comment #9 From 2006-12-14 16:31:40 -------
Перевожу баг, для порядка, в состояние CLOSED.
------- Comment #10 From 2006-12-14 16:57:24 -------
(In reply to comment #8)

> Деактивируем его сборку в пользу mailfromd?

В теории - да. На практике - надо бы подождать, пока у меня (или у кого-то ещё) 
mailfromd в качестве замены clamav-milter некоторое время не поработает. И, 
может быть, стоит его собирать, как есть, на случай неожиданных изменений в 
clamd. Хотя внезапно оно маловероятно - много стороннего ПО с clamd работает 
напрямую.

------- Comment #11 From 2006-12-15 11:31:54 -------
возможно у меня получиться после НГ потестировать mailformd на production, и не
только в качестве замены clamav-milter, но и spamass-milter от Dag Wieers,
которым сейчас пользуюсь.

PS: повторюсь, IMO clamav-milter нужно поддержать по SA до нового ALM, да и
чуть
после желательно